Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 10 of 36

Hybrid View

  1. #1

    Software updates

    I don't want automatic software update notifications or automatic updates.

    SBS: sorted on the advance menu - no problem.

    But when I switch (on the Touch screen) to mySqueezebox.com it goes straight to 'a new update is available' screen.

    How can I stop this please?

  2. #2
    Senior Member
    Join Date
    Feb 2008
    Posts
    4,673
    There are always two types of updates - the server software, and then the Touch.

    If you have the latest server then the Touch probably needs new firmware. If it updates, then the two will be in sync. Switching off updates means once it's updated it won't ask again.
    LMS server: Pi Zero

    Amp: Denon PMA-50

    Players/Speakers: Touch, Logitech Radios, Sonos Play 1s & Beam, Libratone Zipp, GGMM E2 & E3, Yamaha WXAD-010, Loewe Airspeaker, Google Chromecast Audio, Home Mini & Nest Hub, Amazon Echo 2,3 and Show5, Pioneer WX-SMA1, Roberts S1, O2 Joggler, Cisco Joggler, Avantree Priva BT transmitter

    Brexit = ∞ stupidity


    ------------------------------------------------------------------------------------

  3. #3
    Senior Member usch's Avatar
    Join Date
    Oct 2009
    Location
    Germany
    Posts
    786
    Quote Originally Posted by nickinthelakes View Post
    But when I switch (on the Touch screen) to mySqueezebox.com it goes straight to 'a new update is available' screen.
    How can I stop this please?
    You can't, because the player firmware version must match the server software version. So if you are running an old SBS and switch to MySB it will prompt you to update, and if you switch back to your local server it will probably prompt you again to revert to the old firmware. I don't know what happens if you reject the update, the player may or may not work with a mismatched firmware depending on the changes that have been made.

    Just as an idea, would it be possible to use the Touch's built-in server instead of connecting to MySB even if there is no USB drive attached?

  4. #4
    Senior Member toby10's Avatar
    Join Date
    Jul 2007
    Location
    USA (home of the bottomless credit card)
    Posts
    9,229
    Using the Touch's own server is a very good workaround to the server update loop. But, yes, it must have either a USB or SD card attached to function.
    BTW: look around your home, in those old junk drawers, might find an old SD card laying around, my Touch is using an ancient 65mb SD card from my old Palm

    Beyond that your options are:
    - update your local LMS to the same version as the current MySqueezeBox.com version
    - donĺt switch between them (always keep player on LMS)
    - do switch between them and ignore the update prompt (hit Home button on Touch & Radio)
    - do switch between them and do the update/downgrade each time (as you are doing now)

  5. #5
    I am a bit puzzled.

    I have had the Touch for some months now and when I installed it it was with 7.6.1

    The server has never been updated since the instal.

    Yet the Touch has only starting asking me to update now!

  6. #6
    Senior Member
    Join Date
    Feb 2008
    Posts
    4,673
    The latest server is 7.7.1 - mysb.com has also the same settings. So, if you don't update, then you are always going to get a prompt whenever you go via mysb.com. If you update then switch off automatic updates, you won't get a firmware prompt until mysb.com is updated sometime in the future.
    LMS server: Pi Zero

    Amp: Denon PMA-50

    Players/Speakers: Touch, Logitech Radios, Sonos Play 1s & Beam, Libratone Zipp, GGMM E2 & E3, Yamaha WXAD-010, Loewe Airspeaker, Google Chromecast Audio, Home Mini & Nest Hub, Amazon Echo 2,3 and Show5, Pioneer WX-SMA1, Roberts S1, O2 Joggler, Cisco Joggler, Avantree Priva BT transmitter

    Brexit = ∞ stupidity


    ------------------------------------------------------------------------------------

  7. #7
    I don't want to update tbh as my set-up works fine and updates seem to cause problems.

    I just could do without the irritating prompt!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •